如何设置WordPress自动更新

WordPress3.7版本增加了自动更新的功能。默认情况下,3.7及以上版本的WordPress会自动应用小版本更新。例如,你 使用4.2.0版本,当4.2.1版本发布时,WordPress会自动更新到4.2.1版本,这叫做小版本自动更新。小版本更新一般是修复bug以及安全漏洞。

然而当有大版本更新时,比如4.3 版本发布时,默认情况下需要用户手动应用更新。这篇教程将介绍如何启用WordPress大版本自动更新、插件和主题自动更新、禁止自动更新。

如何启用WordPress大版本自动更新

如何你想让WordPress自动应用大版本更新,那么必须编辑wp-config.php文件。wp-config.php文件在 WordPress网站的根目录下。打开wp-config.php文件,在文件的末尾添加下面的PHP代码。(config是英文 configuration的简写,意为“配置”。)

define('WP_AUTO_UPDATE_CORE', true);

如何启用WordPress插件自动更新

除了自动更新WordPress本身外,我们还可以设置WordPress自动更新插件。同样,我们需要编辑wp-config.php文件,但这回我们使用的是add_filter过滤器。将下面的PHP代码添加到wp-config.php文件的末尾。

add_filter( 'auto_update_plugin', '__return_true' );

如何启用WordPress主题自动更新

如何你想让主题自动更新,那么将下面的PHP代码添加到wp-config.php文件末尾。

add_filter( 'auto_update_theme', '__return_true' );

注意:只有在WordPress.org官方主题库下载安装的主题才能自动更新。如果主题是从别的开发者购买的,那么不会自动更新。

在三个都启用了自动更新的情况下,它们并不总是会同时自动更新。有时WordPress程序自动更新后,插件和主题要等几个小时后才自动更新。

禁用WordPress自动更新,启用插件和主题自动更新

如果你不想让WordPress自动应用版本更新,但是要让插件和主题自动更新,那么在wp-config.php文件末尾添加下面三行PHP代码。注意:大版本和小版本的自动更新都会被禁用

define('WP_AUTO_UPDATE_CORE', false);
add_filter( 'auto_update_plugin', '__return_true' );
add_filter( 'auto_update_theme', '__return_true' );

如何完全禁止WordPress自动更新

在wp-config.php文件末尾添加下面一行PHP代码,以完全禁止WordPress自动更新。这将禁止大版本和小版本自动更新以及插件和主题自动更新。

define( 'AUTOMATIC_UPDATER_DISABLED', true );

如果你使用git, subversion或其他版本控制系统,那么WordPress默认会禁用自动更新。

为这篇文章评分
[Total: 1 Average: 4]

发表评论

电子邮件地址不会被公开。 必填项已用*标注